//
//  ViewController.h
//  faceShare
//
//  Created by Tuna Başaran on 10/18/12.
//  Copyright (c) 2012 Anıl Oruç. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"
#import <FacebookSDK/FacebookSDK.h>
#import <FacebookSDK/FBProfilePictureView.h>
#import <FacebookSDK/FBGraphUser.h>

@interface ViewController : UIViewController <FBRequestDelegate>
{
    BOOL temp;
    
    
}


@property (nonatomic, strong) IBOutlet UIButton * loginBtn;

@property (nonatomic, strong) IBOutlet UIButton * logoutBtn;

@property (nonatomic, strong) IBOutlet UILabel * profilLabel;

@property (nonatomic, strong) IBOutlet FBProfilePictureView * profilPic;

@property (strong, nonatomic) IBOutlet UIButton *publishButton;

@property (nonatomic, strong) FBRequest *request;

@property (nonatomic, strong) IBOutlet UITextField *textField;

//@property (nonatomic, strong) IBOutlet FBFriendPickerViewController

- (IBAction)loginButton:(id)sender;

- (IBAction)logout :(id)sender;

- (void)sessionStateChanged:(NSNotification*)notification;

- (IBAction)publish :(id)sender;

- (void)postPhotoThenOpenGraphAction;

- (void)postTextThenOpenGraphAction:(NSString *)yazi;

@end
